### Method

# Ide ExtensionSetAdapter foreach_by_priority

#### Declaration

    void
    ide_extension_set_adapter_foreach_by_priority (
      IdeExtensionSetAdapter* self,
      IdeExtensionSetAdapterForeachFunc foreach_func,
      gpointer user_data
    )

#### Description

Calls `foreach_func` for every extension loaded by the extension set.

Available since: | 3.32

#### Parameters

`foreach_func` | `IdeExtensionSetAdapterForeachFunc`
| A callback.
`user_data` | `gpointer`
| User data for `foreach_func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.